/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts":
/*!***********************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\Log.ts ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.filterKey = void 0;
const TAG = "SystemUI_Default";
const FILTER_KEYS = [
    new RegExp('hide', "gi")
];
function filterKey(target, propKey, descriptor) {
    const original = descriptor.value;
    descriptor.value = function (...args) {
        let filterResult = args.map((str) => {
            let tempStr = str;
            FILTER_KEYS.forEach((filterKey) => tempStr = tempStr.replace(filterKey, "**"));
            return tempStr;
        });
        const result = original.call(this, ...filterResult);
        return result;
    };
}
exports.filterKey = filterKey;
/**
 * Basic log class
 */
class Log {
    /**
     * print info level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showInfo(tag, log) {
        console.info(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print debug level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showDebug(tag, log) {
        console.debug(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print error level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showError(tag, log) {
        console.error(`${TAG} tag: ${tag} --> ${log}`);
    }
}
exports["default"] = Log;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\product\\phone\\statusbar\\src\\main\\ets\\Application\\AbilityStage.ts?entry":
/*!***********************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\product\phone\statusbar\src\main\ets\Application\AbilityStage.ts?entry ***!
  \***********************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var _ohos_application_AbilityStage_1  = globalThis.requireNapi('application.AbilityStage') || (isSystemplugin('application.AbilityStage', 'ohos') ? globalThis.ohosplugin.application.AbilityStage : isSystemplugin('application.AbilityStage', 'system') ? globalThis.systemplugin.application.AbilityStage : undefined);
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = "StatusBar_AbilityStage";
class MainAbilityStage extends _ohos_application_AbilityStage_1 {
    onCreate() {
        Log_1.default.showInfo(TAG, "onCreate");
    }
}
globalThis.exports.default = MainAbilityStage;


/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		var commonCachedModule = globalThis["__common_module_cache__"] ? globalThis["__common_module_cache__"][moduleId]: null;
/******/ 		if (commonCachedModule) { return commonCachedModule.exports; }
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		if (globalThis["__common_module_cache__"] && moduleId.indexOf("?name=") < 0 && Object.keys(globalThis["__common_module_cache__"]).indexOf(moduleId) >= 0) {
/******/ 		  globalThis["__common_module_cache__"][moduleId] = module;
/******/ 		}
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("D:\\code\\release\\my\\applications_systemui\\product\\phone\\statusbar\\src\\main\\ets\\Application\\AbilityStage.ts?entry");
/******/ 	
/******/ })()
;
//# sourceMappingURL=AbilityStage.js.map