/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Constants.ts":
/*!*****************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\Constants.ts ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.FASlotName = exports.WindowNameMap = void 0;
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
exports.WindowNameMap = {
    2112: 'navigation',
    2108: 'status',
    2111: 'volume'
};
;
class Constants {
}
exports["default"] = Constants;
Constants.URI_VAR = 'dataability:///com.ohos.settingsdata.DataAbility';
var FASlotName;
(function (FASlotName) {
    FASlotName["AUTO_ROTATE"] = "auto_rotate";
    FASlotName["AIR_PLANE"] = "air_plane";
    FASlotName["BATTERY"] = "battery";
    FASlotName["BLUETOOTH"] = "bluetooth";
    FASlotName["CAPSULE"] = "capsule";
    FASlotName["CLOCK"] = "clock";
    FASlotName["EMPTY"] = "empty";
    FASlotName["LOCATION"] = "location";
    FASlotName["NOTIFICATION"] = "notification";
    FASlotName["RING_MODE"] = "ring_mode";
    FASlotName["SIGNAL"] = "signal";
    FASlotName["WIFI"] = "wifi";
})(FASlotName = exports.FASlotName || (exports.FASlotName = {}));


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts":
/*!***********************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\Log.ts ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.filterKey = void 0;
const TAG = "SystemUI_Default";
const FILTER_KEYS = [
    new RegExp('hide', "gi")
];
function filterKey(target, propKey, descriptor) {
    const original = descriptor.value;
    descriptor.value = function (...args) {
        let filterResult = args.map((str) => {
            let tempStr = str;
            FILTER_KEYS.forEach((filterKey) => tempStr = tempStr.replace(filterKey, "**"));
            return tempStr;
        });
        const result = original.call(this, ...filterResult);
        return result;
    };
}
exports.filterKey = filterKey;
/**
 * Basic log class
 */
class Log {
    /**
     * print info level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showInfo(tag, log) {
        console.info(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print debug level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showDebug(tag, log) {
        console.debug(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print error level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showError(tag, log) {
        console.error(`${TAG} tag: ${tag} --> ${log}`);
    }
}
exports["default"] = Log;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ResourceUtil.ts":
/*!********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\ResourceUtil.ts ***!
  \********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.ResourceUtil = void 0;
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const abilityManager_1 = __importDefault(__webpack_require__(/*! ./abilitymanager/abilityManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\abilitymanager\\abilityManager.ts"));
/**
 * Resource util
 */
class ResourceUtil {
    /**
     * Initialize ResourceManager
     */
    async initResourceManager() {
        if (!this.resMgr) {
            let context = abilityManager_1.default.getContext();
            this.resMgr = await context.resourceManager;
        }
        return this.resMgr;
    }
    /**
     * Get string value from NormalResource instance
     *
     * @param resource - NormalResource instance
     */
    async getString(resource) {
        await this.initResourceManager();
        return await this.resMgr.getString(resource.id);
    }
    /**
     * Get direction value from NormalResource instance
     *
     * @param resource - NormalResource instance
     */
    async getConfiguration() {
        await this.initResourceManager();
        return await this.resMgr.getConfiguration();
    }
}
exports.ResourceUtil = ResourceUtil;
let resourceUtil = new ResourceUtil();
exports["default"] = resourceUtil;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts":
/*!****************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\SingleInstanceHelper.ts ***!
  \****************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getAudioManager = void 0;
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
var audio = globalThis.requireNapi('multimedia.audio') || (isSystemplugin('multimedia.audio', 'ohos') ? globalThis.ohosplugin.multimedia.audio : isSystemplugin('multimedia.audio', 'system') ? globalThis.systemplugin.multimedia.audio : undefined);
const TAG = "SingleInstanceHelper";
const AUDIO_MANAGER_KEY = 'MultiMediaAudioManager';
function createOrGet(objectClass, storageKey) {
    if (!globalThis[storageKey]) {
        globalThis[storageKey] = new objectClass();
        Log_1.default.showInfo(TAG, `Create key of ${storageKey}`);
    }
    return globalThis[storageKey];
}
exports["default"] = createOrGet;
function getAudioManager() {
    if (!globalThis[AUDIO_MANAGER_KEY]) {
        globalThis[AUDIO_MANAGER_KEY] = audio.getAudioManager();
        Log_1.default.showInfo(TAG, `Create Audio Manager.`);
    }
    return globalThis[AUDIO_MANAGER_KEY];
}
exports.getAudioManager = getAudioManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\WindowManager.ts":
/*!*********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\WindowManager.ts ***!
  \*********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.WINDOW_RESIZE_EVENT = exports.WINDOW_SHOW_HIDE_EVENT = exports.WindowType = void 0;
var Window = globalThis.requireNapi('window') || (isSystemplugin('window', 'ohos') ? globalThis.ohosplugin.window : isSystemplugin('window', 'system') ? globalThis.systemplugin.window : undefined);
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const EventManager_1 = __importDefault(__webpack_require__(/*! ./event/EventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts"));
const EventUtil_1 = __webpack_require__(/*! ./event/EventUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts");
__webpack_require__(/*! ./Constants */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Constants.ts");
const SingleInstanceHelper_1 = __importDefault(__webpack_require__(/*! ./SingleInstanceHelper */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts"));
var WindowType;
(function (WindowType) {
    WindowType["STATUS_BAR"] = "SystemUi_StatusBar";
    WindowType["NAVIGATION_BAR"] = "SystemUi_NavigationBar";
    WindowType["DROPDOWN_PANEL"] = "SystemUi_DropdownPanel";
    WindowType["NOTIFICATION_PANEL"] = "SystemUi_NotificationPanel";
    WindowType["CONTROL_PANEL"] = "SystemUi_ControlPanel";
    WindowType["VOLUME_PANEL"] = "SystemUi_VolumePanel";
    WindowType["BANNER_NOTICE"] = "SystemUi_BannerNotice";
})(WindowType = exports.WindowType || (exports.WindowType = {}));
exports.WINDOW_SHOW_HIDE_EVENT = "WindowShowHideEvent";
exports.WINDOW_RESIZE_EVENT = "WindowResizeEvent";
const TAG = "WindowManager";
const SYSTEM_WINDOW_TYPE_MAP = {
    SystemUi_StatusBar: 2108,
    SystemUi_NavigationBar: 2112,
    SystemUi_DropdownPanel: 2109,
    SystemUi_NotificationPanel: 2111,
    SystemUi_ControlPanel: 2111,
    SystemUi_VolumePanel: 2111,
    SystemUi_BannerNotice: 2111,
};
const DEFAULT_WINDOW_INFO = {
    visibility: false,
    rect: { left: 0, top: 0, width: 0, height: 0 },
};
/**
 * Manage window size changes.
 */
class WindowManager {
    constructor() {
        this.mWindowInfos = new Map();
    }
    async createWindow(context, name, rect, loadContent) {
        Log_1.default.showInfo(TAG, `createWindow name: ${name}, rect: ${JSON.stringify(rect)}, url: ${loadContent}`);
        let winHandle = await Window.create(context, name, SYSTEM_WINDOW_TYPE_MAP[name]);
        await winHandle.moveTo(rect.left, rect.top);
        await winHandle.resetSize(rect.width, rect.height);
        await winHandle.loadContent(loadContent);
        this.mWindowInfos.set(name, { visibility: false, rect });
        Log_1.default.showInfo(TAG, `create window[${name}] success.`);
        return winHandle;
    }
    async resetSizeWindow(name, rect) {
        var _a;
        let window = await Window.find(name);
        await window.moveTo(rect.left, rect.top);
        await window.resetSize(rect.width, rect.height);
        this.mWindowInfos.set(name, Object.assign(Object.assign({}, ((_a = this.mWindowInfos.get(name)) !== null && _a !== void 0 ? _a : DEFAULT_WINDOW_INFO)), { rect }));
        EventManager_1.default.publish(EventUtil_1.obtainLocalEvent(exports.WINDOW_RESIZE_EVENT, {
            windowName: name,
            rect,
        }));
        Log_1.default.showInfo(TAG, `resize window[${name}] success, rect: ${JSON.stringify(rect)}.`);
    }
    async showWindow(name) {
        var _a;
        let window = await Window.find(name);
        await window.show();
        this.mWindowInfos.set(name, Object.assign(Object.assign({}, ((_a = this.mWindowInfos.get(name)) !== null && _a !== void 0 ? _a : DEFAULT_WINDOW_INFO)), { visibility: true }));
        EventManager_1.default.publish(EventUtil_1.obtainLocalEvent(exports.WINDOW_SHOW_HIDE_EVENT, {
            windowName: name,
            isShow: true,
        }));
        Log_1.default.showInfo(TAG, `show window[${name}] success.`);
    }
    async hideWindow(name) {
        var _a;
        let window = await Window.find(name);
        await window.hide();
        this.mWindowInfos.set(name, Object.assign(Object.assign({}, ((_a = this.mWindowInfos.get(name)) !== null && _a !== void 0 ? _a : DEFAULT_WINDOW_INFO)), { visibility: false }));
        EventManager_1.default.publish(EventUtil_1.obtainLocalEvent(exports.WINDOW_SHOW_HIDE_EVENT, {
            windowName: name,
            isShow: false,
        }));
        Log_1.default.showInfo(TAG, `hide window[${name}] success.`);
    }
    getWindowInfo(name) {
        return this.mWindowInfos.get(name);
    }
}
let sWindowManager = SingleInstanceHelper_1.default(WindowManager, TAG);
exports["default"] = sWindowManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\abilitymanager\\abilityManager.ts":
/*!*************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\abilitymanager\abilityManager.ts ***!
  \*************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = 'AbilityManager';
class AbilityManager {
    static setContext(abilityName, context) {
        Log_1.default.showInfo(TAG, `setContext, abilityName: ${abilityName}`);
        globalThis[abilityName + '_Context'] = context;
    }
    static getContext(abilityName) {
        Log_1.default.showInfo(TAG, `getContext, abilityName: ${abilityName}`);
        if (!abilityName) {
            abilityName = AbilityManager.ABILITY_NAME_ENTRY;
        }
        return globalThis[abilityName + '_Context'];
    }
    static setAbilityData(abilityName, key, data) {
        Log_1.default.showInfo(TAG, `setAbilityData, abilityName: ${abilityName} key: ${key} data: ${JSON.stringify(data)}`);
        globalThis[abilityName + '_data_' + key] = data;
    }
    static getAbilityData(abilityName, key) {
        Log_1.default.showInfo(TAG, `getAbilityData, abilityName: ${abilityName} key: ${key} `);
        return globalThis[abilityName + '_data_' + key];
    }
    static startAbility(want, callback) {
        Log_1.default.showInfo(TAG, `startAbility, want: ${JSON.stringify(want)}`);
        let context = AbilityManager.getContext();
        context.startAbility(want).then(() => {
            Log_1.default.showInfo(TAG, `startAbility, then`);
            if (callback) {
                callback(null);
            }
        }).catch((error) => {
            Log_1.default.showInfo(TAG, `startAbility, error: ${JSON.stringify(error)}`);
            callback(error);
        });
    }
}
exports["default"] = AbilityManager;
AbilityManager.ABILITY_NAME_ENTRY = 'SystemUi_Entry';
AbilityManager.ABILITY_NAME_STATUS_BAR = 'SystemUi_StatusBar';
AbilityManager.ABILITY_NAME_NAVIGATION_BAR = 'SystemUi_NavigationBar';
AbilityManager.ABILITY_NAME_VOLUME_PANEL = 'SystemUi_VolumePanel';
AbilityManager.ABILITY_NAME_NOTIFICATION_MANAGEMENT = 'SystemUi_NotificationManagement';
AbilityManager.ABILITY_NAME_DROPDOWN_PANEL = 'SystemUi_DropdownPanel';
AbilityManager.ABILITY_NAME_NOTIFICATION_PANEL = 'SystemUi_NotificationPanel';
AbilityManager.ABILITY_NAME_CONTROL_PANEL = 'SystemUi_ControlPanel';
AbilityManager.ABILITY_NAME_BANNER_NOTICE = 'SystemUi_BannerNotice';
AbilityManager.ABILITY_NAME_APP_LIST = 'SystemUi_AppList';
AbilityManager.ABILITY_NAME_OWNER_WANT = 'Owner_Want';


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventBus.ts":
/*!**********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\event\EventBus.ts ***!
  \**********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createEventBus = void 0;
/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = "EventBus";
function createEventBus() {
    let _cbs = {};
    function on(events, cb) {
        var _a;
        if (Array.isArray(events)) {
            events.forEach((e) => on(e, cb));
        }
        else {
            (_cbs[events] || (_cbs[events] = new Set())).add(cb);
            Log_1.default.showInfo(TAG, `add event[${events}] callback, size: ${(_a = _cbs[events]) === null || _a === void 0 ? void 0 : _a.size}`);
        }
        return () => off(events, cb);
    }
    function once(event, cb) {
        let newCallback = (args) => {
            cb(args);
            removeSelf();
        };
        function removeSelf() {
            off(event, newCallback);
        }
        return on(event, newCallback);
    }
    function off(event, cb) {
        var _a, _b;
        if (!event) {
            _cbs = {};
            Log_1.default.showInfo(TAG, `remove event[${event}] all callback`);
            return;
        }
        if (Array.isArray(event)) {
            event.forEach((e) => off(e, cb));
            return;
        }
        (_a = _cbs[event]) === null || _a === void 0 ? void 0 : _a.delete(cb);
        Log_1.default.showInfo(TAG, `remove event[${event}] callback, size: ${(_b = _cbs[event]) === null || _b === void 0 ? void 0 : _b.size}`);
    }
    function emit(event, args) {
        var _a;
        (_a = _cbs[event]) === null || _a === void 0 ? void 0 : _a.forEach((cb) => cb(args));
    }
    function stickyEmit(event, argument) { }
    return {
        on,
        once,
        off,
        emit,
    };
}
exports.createEventBus = createEventBus;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts":
/*!**************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\event\EventManager.ts ***!
  \**************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
__webpack_require__(/*! application/ServiceExtensionContext */ "../../api/application/ServiceExtensionContext.d.ts");
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const SingleInstanceHelper_1 = __importDefault(__webpack_require__(/*! ../SingleInstanceHelper */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts"));
const EventUtil_1 = __webpack_require__(/*! ./EventUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts");
const EventBus_1 = __webpack_require__(/*! ./EventBus */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventBus.ts");
const TAG = "EventManager";
class EventManager {
    constructor() {
        this.mEventBus = EventBus_1.createEventBus();
        this.eventParser = {
            local: this.publishLocalEvent,
            ability: this.startAbility,
            commonEvent: this.publishCommonEvent,
            remote: this.publishRemoteEvent,
        };
    }
    setContext(ctx) {
        this.mContext = ctx;
    }
    publish(event) {
        return this.eventParser[event.target].call(this, event.data);
    }
    subscribe(eventType, callback) {
        return this.mEventBus.on(eventType, callback);
    }
    subscribeOnce(eventType, callback) {
        return this.mEventBus.once(eventType, callback);
    }
    publishLocalEvent(data) {
        Log_1.default.showInfo(TAG, `publish localEvent type: ${data.eventName}`);
        if (data.eventName) {
            this.mEventBus.emit(data.eventName, data.args);
            return true;
        }
        return false;
    }
    startAbility(data) {
        var _a;
        Log_1.default.showInfo(TAG, `start Ability: ${data.abilityName}`);
        if (data.bundleName && data.abilityName && this.mContext) {
            this.mEventBus.emit(EventUtil_1.START_ABILITY_EVENT, { abilityName: data.abilityName });
            this.mContext.startAbility({
                bundleName: data.bundleName,
                abilityName: data.abilityName,
                parameters: (_a = data.args) !== null && _a !== void 0 ? _a : undefined
            });
            return true;
        }
        return false;
    }
    publishRemoteEvent(data) {
        // todo publish to remote device
        return false;
    }
    publishCommonEvent(data) {
        // todo publish commonEvent to other app
        return false;
    }
}
let sEventManager = SingleInstanceHelper_1.default(EventManager, TAG);
exports["default"] = sEventManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts":
/*!***********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\event\EventUtil.ts ***!
  \***********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.parseEventString = exports.obtainStartAbility = exports.obtainLocalEvent = exports.PUBLISH_COMMON_EVENT = exports.START_ABILITY_EVENT = void 0;
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
exports.START_ABILITY_EVENT = "startAbilityEvent";
exports.PUBLISH_COMMON_EVENT = "publishCommonEvent";
const TAG = "EventUtil";
const LOCAL_EVENT_TYPE = "local";
const START_ABILITY_TYPE = "ability";
function obtainLocalEvent(event, args) {
    return {
        target: LOCAL_EVENT_TYPE,
        data: {
            eventName: event,
            args,
        },
    };
}
exports.obtainLocalEvent = obtainLocalEvent;
function obtainStartAbility(bundleName, abilityName, args) {
    return {
        target: START_ABILITY_TYPE,
        data: {
            bundleName,
            abilityName,
            args
        },
    };
}
exports.obtainStartAbility = obtainStartAbility;
function parseEventString(eventString) {
    // string must be "local=eventName|args" or "ability=bundleName|abilityName"
    if (!eventString) {
        return;
    }
    let [eventType, eventData] = eventString.split("=");
    if (eventType == LOCAL_EVENT_TYPE && eventData) {
        let [localEventName, args] = eventData.split("|");
        if (localEventName) {
            Log_1.default.showDebug(TAG, `parseEventData name:${localEventName}, args: ${args}`);
            return obtainLocalEvent(localEventName, args);
        }
    }
    if (eventType == START_ABILITY_TYPE && eventData) {
        let [bundleName, abilityName] = eventData.split("|");
        if (bundleName && abilityName) {
            Log_1.default.showDebug(TAG, `parseEventData bundleName:${bundleName}, abilityName: ${abilityName}`);
            return obtainStartAbility(bundleName, abilityName);
        }
    }
    Log_1.default.showError(TAG, `Can't parse event data: ${eventString}`);
    return undefined;
}
exports.parseEventString = parseEventString;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\statusbarcomponent\\src\\main\\ets\\com\\ohos\\common\\StatusBarConfiguration.ts":
/*!***********************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\statusbarcomponent\src\main\ets\com\ohos\common\StatusBarConfiguration.ts ***!
  \***********************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
var display = globalThis.requireNapi('display') || (isSystemplugin('display', 'ohos') ? globalThis.ohosplugin.display : isSystemplugin('display', 'system') ? globalThis.systemplugin.display : undefined);
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const ResourceUtil_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/ResourceUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ResourceUtil.ts"));
const TAG = 'StatusBarConfiguration';
var statusbarPosition;
var directionStatus;
var shortSideLength = '0';
var maxWidth;
var maxHeight;
var minHeight;
var realWidth;
var realHeight;
var xCoordinate = 0;
var yCoordinate = 0;
var Position;
(function (Position) {
    Position[Position["NOT_CONFIGURED"] = 0] = "NOT_CONFIGURED";
    Position[Position["LEFT_POSITION"] = 1] = "LEFT_POSITION";
    Position[Position["TOP_POSITION"] = 2] = "TOP_POSITION";
    Position[Position["RIGHT_POSITION"] = 3] = "RIGHT_POSITION";
    Position[Position["BOTTOM_POSITION"] = 4] = "BOTTOM_POSITION";
})(Position || (Position = {}));
/**
 * Get window size.
 */
class StatusBarConfiguration {
    async initStatusBarConfiguration() {
        Log_1.default.showInfo(TAG, 'initWindowManager');
        minHeight = 0;
        await display.getDefaultDisplay()
            .then(dis => {
            Log_1.default.showInfo(TAG, `initWindowManager dis ${JSON.stringify(dis)}`);
            maxWidth = dis.width;
            maxHeight = dis.height;
            Log_1.default.showInfo(TAG, `initWindowManager maxWidth ${maxWidth} maxHeight ${maxHeight} minHeight ${minHeight}`);
        });
    }
    async getDirectionAndPosition() {
        Log_1.default.showInfo(TAG, 'getDirectionAndPosition' + 1);
        directionStatus = await ResourceUtil_1.default.getConfiguration();
        Log_1.default.showInfo(TAG, 'getDirectionAndPosition' + 2);
        if (directionStatus.direction == -1) {
            Log_1.default.showInfo(TAG, 'getDirectionAndPosition' + 3);
            statusbarPosition = await ResourceUtil_1.default.getString({ "id": 201326601, "type": 10003, params: [] });
            shortSideLength = await ResourceUtil_1.default.getString({ "id": 201326603, "type": 10003, params: [] });
        }
        else if (directionStatus.direction == 1) {
            statusbarPosition = await ResourceUtil_1.default.getString({ "id": 201326601, "type": 10003, params: [] });
            shortSideLength = await ResourceUtil_1.default.getString({ "id": 201326603, "type": 10003, params: [] });
        }
        else {
            statusbarPosition = await ResourceUtil_1.default.getString({ "id": 201326602, "type": 10003, params: [] });
            shortSideLength = await ResourceUtil_1.default.getString({ "id": 201326604, "type": 10003, params: [] });
        }
        Log_1.default.showInfo(TAG, 'getDirectionAndPosition' + 4);
        shortSideLength = parseInt(shortSideLength) + '';
        Log_1.default.showInfo(TAG, 'directionStatus = ' + directionStatus.direction);
        Log_1.default.showInfo(TAG, 'statusbarPosition = ' + statusbarPosition);
        Log_1.default.showInfo(TAG, 'lpx2px(parseInt(shortSideLength)) = ' + shortSideLength);
    }
    /**
       * Get status bar configuration
       */
    async getConfiguration() {
        await this.initStatusBarConfiguration();
        await this.getDirectionAndPosition();
        let showHorizontal = false;
        let ableToMaximize = false;
        if (statusbarPosition == Position.TOP_POSITION || statusbarPosition == Position.BOTTOM_POSITION) {
            Log_1.default.showInfo(TAG, `showHorizontal1`);
            showHorizontal = true;
            Log_1.default.showInfo(TAG, `showHorizontal2`);
            minHeight = parseInt(shortSideLength);
            realWidth = maxWidth;
            realHeight = parseInt(shortSideLength);
            if (statusbarPosition == Position.BOTTOM_POSITION) {
                yCoordinate = parseInt(maxHeight) - parseInt(shortSideLength);
            }
            ableToMaximize = true;
        }
        else if (statusbarPosition == Position.LEFT_POSITION || statusbarPosition == Position.RIGHT_POSITION) {
            showHorizontal = false;
            ableToMaximize = false;
            minHeight = parseInt(shortSideLength);
            realWidth = parseInt(shortSideLength);
            realHeight = maxHeight;
            if (statusbarPosition == Position.RIGHT_POSITION) {
                xCoordinate = parseInt(maxWidth) - parseInt(shortSideLength);
            }
        }
        else {
            realWidth = 0;
            realHeight = 0;
        }
        Log_1.default.showInfo(TAG, `initWindowManager xCoordinate ${xCoordinate} yCoordinate ${yCoordinate}`);
        Log_1.default.showInfo(TAG, `initWindowManager realWidth ${realWidth} realHeight ${realHeight}`);
        var configuration = {
            maxWidth: maxWidth,
            maxHeight: maxHeight,
            minHeight: minHeight,
            showHorizontal: showHorizontal,
            ableToMaximize: ableToMaximize,
            realWidth: realWidth,
            realHeight: realHeight,
            xCoordinate: xCoordinate,
            yCoordinate: yCoordinate
        };
        return configuration;
    }
}
let statusBarConfiguration = new StatusBarConfiguration();
exports["default"] = statusBarConfiguration;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\product\\phone\\statusbar\\src\\main\\ets\\ServiceExtAbility\\ServiceExtAbility.ts?entry":
/*!**********************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\product\phone\statusbar\src\main\ets\ServiceExtAbility\ServiceExtAbility.ts?entry ***!
  \**********************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
var _ohos_application_ServiceExtensionAbility_1  = globalThis.requireNapi('application.ServiceExtensionAbility') || (isSystemplugin('application.ServiceExtensionAbility', 'ohos') ? globalThis.ohosplugin.application.ServiceExtensionAbility : isSystemplugin('application.ServiceExtensionAbility', 'system') ? globalThis.systemplugin.application.ServiceExtensionAbility : undefined);
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const WindowManager_1 = __importStar(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/WindowManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\WindowManager.ts"));
const abilityManager_1 = __importDefault(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/abilitymanager/abilityManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\abilitymanager\\abilityManager.ts"));
const StatusBarConfiguration_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/statusbarcomponent/src/main/ets/com/ohos/common/StatusBarConfiguration */ "D:\\code\\release\\my\\applications_systemui\\features\\statusbarcomponent\\src\\main\\ets\\com\\ohos\\common\\StatusBarConfiguration.ts"));
const TAG = "StatusBar_ServiceExtAbility";
class ServiceExtAbility extends _ohos_application_ServiceExtensionAbility_1 {
    async onCreate(want) {
        Log_1.default.showInfo(TAG, `api8New onCreate, want: ${JSON.stringify(want)}`);
        abilityManager_1.default.setContext(abilityManager_1.default.ABILITY_NAME_STATUS_BAR, this.context);
        let configInfo = await StatusBarConfiguration_1.default.getConfiguration();
        abilityManager_1.default.setAbilityData(abilityManager_1.default.ABILITY_NAME_STATUS_BAR, 'config', configInfo);
        Log_1.default.showInfo(TAG, `api8New onCreate, configInfo: ${JSON.stringify(configInfo)}`);
        let statusBarRect = {
            left: configInfo.xCoordinate,
            top: configInfo.yCoordinate,
            width: configInfo.realWidth,
            height: configInfo.realHeight
        };
        WindowManager_1.default.createWindow(this.context, WindowManager_1.WindowType.STATUS_BAR, statusBarRect, "pages/index").then(() => WindowManager_1.default.showWindow(WindowManager_1.WindowType.STATUS_BAR));
    }
    onDestroy() {
        Log_1.default.showInfo(TAG, 'api8New onDestroy');
    }
}
globalThis.exports.default = ServiceExtAbility;


/***/ }),

/***/ "../../api/application/ServiceExtensionContext.d.ts":
/*!**********************************************************!*\
  !*** ../../api/application/ServiceExtensionContext.d.ts ***!
  \**********************************************************/
/***/ (() => {



/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		var commonCachedModule = globalThis["__common_module_cache__"] ? globalThis["__common_module_cache__"][moduleId]: null;
/******/ 		if (commonCachedModule) { return commonCachedModule.exports; }
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		if (globalThis["__common_module_cache__"] && moduleId.indexOf("?name=") < 0 && Object.keys(globalThis["__common_module_cache__"]).indexOf(moduleId) >= 0) {
/******/ 		  globalThis["__common_module_cache__"][moduleId] = module;
/******/ 		}
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("D:\\code\\release\\my\\applications_systemui\\product\\phone\\statusbar\\src\\main\\ets\\ServiceExtAbility\\ServiceExtAbility.ts?entry");
/******/ 	
/******/ })()
;
//# sourceMappingURL=ServiceExtAbility.js.map